#ifndef XMATERIALMEMORY_H
#define XMATERIALMEMORY_H

#include "xasset.h"
#include "xmaterial.h"

#include <QVector>

class XMaterialMemory : public XAsset
{
public:
    XMaterialMemory();
    ~XMaterialMemory();

    virtual void ParseData(XDataStream* aStream) override;
    virtual void Clear() override;

private:
    XMaterial *mMaterial;
    int mMemory;
};

#endif // XMATERIALMEMORY_H
